// 温度
var PageTemperature = {
    id: "PageTemperature", //页面id
    menu: "i18n.lan.menu.sensor", //所属菜单(一级菜单名)
    title: "i18n.lan.menu.PageTemperature", //标题（二级菜单名）
    icon: "icon-me-temperature", //图标
    refreshBtnCmd: "DUMP_DS1", //刷新按钮指令
    saveBtn: true, //保存按钮
    el: [
        //控件
        {
            elname: "style",
            text: "#PageTemperature > label{min-width:150px;}",
        },
        {
            elname: "datagrid",
            rowCount: Device.getNodesCount("temperature"), //必选,行数
            data: {
                width: 360,
                columns: [
                    [{
                            //序号
                            field: "index",
                            width: 40,
                            align: "center",
                        },
                        {
                            //名称
                            field: "name",
                            editor: Easyui.editor.textbox,
                            width: 150,
                            dumpKey: "ISNAME<n+2>",
                            cmdKey: "E0<n+2>", //E02开始温度
                            transcode: true,
                        },
                        {
                            //温度
                            field: "temperature",
                            width: 150,
                            dumpKey: "ETEMP<n>",
                            dumpParamIndex: 0,
                        },
                    ],
                ],
            },
        },
    ],
};
CmdPage.add(PageTemperature); //添加到页面管理