var Strings_en = {
    title: "Lora/WiFi RTU",
    fwVersion: "Firmware version",
    pubTime: "Publish time",
    // toolbar
    toolBar: {
        usb: "USB",
        bps: "BPS",
        open: "Open",
        close: "Close",
        clickOpenOrClose: "Click open or close",
        refresh: "Refresh",
        ATF: "Load default",
        loadConfigFile: "Load config from file",
        saveConfigToFile: "Save config to file",
        restart: "Restart",
        gotoConfigMode: "Click goto config mode",
    },
    // menu
    menu: {
        //menu 1
        basic: "Basic",
        io: "GPIO",
        ain: "Ain",
        dataTrans: "Data transmit",
        sensor: "Sensor",
        other: "Tool",
        // basic
        PageUart: "USB/RS232",

        //menu 2
        PageSystem: "System",
        PagePower: "Battery",
        //io
        PageIO: "Input & Output",
        PageDI: "Input",
        PageDO: "Output",
        //ain
        PageAin: "Ain",
        PageGprs: "GPRS",
        PageMqtt: "MQTT",
        PageApn: "APN",
        // dataTrans
        PageWiFi: "WiFi",
        PageLora: "Lora",
        // sensor
        PageGPS: "GPS",
        PageTemperature: "Temperature",
        //Other
        PageComTool: "COM tool",
    },
    // Common
    common: {
        refresh: "Refresh",
        save: "Save",
        index: "Index",
        name: "Name",
        intervalName: "Interval name",
        value: "Value",
        state: "State",
        unit: "Unit",
        normalState: "Normal state",
        normalStateItems: [{
                value: 0,
                text: "ON", //DO on
            },
            {
                value: 1,
                text: "OFF", //DO off
            },
        ],
        alarmSms: "Alarm SMS",
        recoverSms: "Recover SMS",
        disconnSms: "Disconn SMS",
        dblClickToEdit: "Double click edit",
        none: "Disable",
        reserve: "Reserve",
        send: "Send",
        //Interface common parameters
        adjValue: "Adjustment",
        scaleValue: "Scale",
        stepValue: "Step value",
        alarmLowVal: "Low value",
        alarmHighVal: "High value",
        physicalLow: "Physical low",
        physicalHigh: "Physical high",
        alarmStep: "Alarm step",
        recoverLag: "Recover la",
        filterLow: "Filter value",
        floatDots: "Float dots",
        filter: "Filter",
        ensureTime: "Alarm ensure time(sec)",
        stopAlarmTime: "Alarm sms limit interval(sec)",
        alarmSmsResendTime: "Alarm sms resend interval(sec)",
        smsAlarm: "SMS alarm",
        soundAlarm: "Sound alarm",
        uploadTimer: "Upload timer(sec)",
        logTimer: "Save log timer(sec)",
    },
    // message
    msg: {
        tryGotoConfigMode: "Try to config mode",
        tryGotoWorkMode: "Goto working mode...",
        configMode: "Goto config mode...",
        configModeOk: "Config mode",
        workMode: "Working mode",
        cmdWorkerBusy: "Please wait for the previous command to complete",
        cmdWorkerOk: "Command execute complete",
        disabled: "Unrealized!",
        portNotOpen: "Port not open",
        clickToCancelAfterCmds: "Click to cancel excute command",
        labelOrIdUndefined: "label or id undefined",
        saveCmdsToFileSuccess: "Command have been saved to a file:",
    },
    Do: {
        name: "Output",
        interlockTypes: ["0: ON", "1: OFF", "2: Pulse"],
        interlockTypesKV: [{
                value: 0,
                text: "0: OFF",
            },
            {
                value: 1,
                text: "1: ON",
            },
            {
                value: 2,
                text: "2: Pulse",
            },
        ],
    },
    // COM tool
    PageComTool: {
        title: "COM tool",
        receive: "Receive:",
        autoScroll: "Auto scroll",
        clear: "Clear",
        send: "Send:",
        noComPort: "No COM port!",
        autoAddHeadAndEnd: "Auto add % and \\n when send",
        uartevent: "UARTEVENT",
    },
    // Power/Battery
    PagePower: {
        powerOffSms: "Power off SMS",
        powerOnSms: "Power on SMS",
    },
    //COM port
    PageUart: {
        bps: "BPS",
        parity: "Parity",
        parityItems: [
            { value: 0, text: "None" },
            { value: 1, text: "EVEN" },
            { value: 2, text: "ODD" },
        ],
        databit: "Databit+Parity",
        databitItems: [
            { value: 0, text: "8bit" },
            { value: 1, text: "9bit" },
        ],
        stopbit: "Stopbit",
        stopbitItems: [
            { value: 0, text: "1bit" },
            { value: 1, text: "0.5bit" },
            { value: 2, text: "2bit" },
            { value: 3, text: "1.5bit" },
        ],
    },
    // Input
    PageDI: {
        uploadTimer: "Upload timer(sec)",
        stateItems: [
            { value: 0, text: "OFF" },
            { value: 1, text: "ON" },
        ],
        inputType: "Input type",
        inputTypeItems: [
            { value: 0, text: "0: Disable" },
            { value: 2, text: "2: OFF alarm" },
            { value: 4, text: "4: ON alarm" },
        ],
    },
    // Output
    PageDO: {
        sirenTime: "Siren alarm time(sec)",
        // nsItems:["OFF","ON"],//normal state
        pluseTime: "Pulse time(sec)",
        siren: "Siren",
        stopSiren: "Stop siren alarm",
        anonymousSmsControl: "Allow non-CS number control output(PWD+space+IOOHx/IOOLx)",
        saveDoState: "Save output state",
        uploadTimer: "Upload timer(sec)",
        stateItems: [
            { value: 0, text: "OFF" },
            { value: 1, text: "ON" },
        ],
    },
    PageAin: {
        allLow: "All low",
        allHigh: "All high",
        calcTip: "Calc scale and adjustment",
        range: "Sensor output range",
        actualRange: "Actual range",
        changeUploadVal: "Change upload threshold",
        sensorType: "Sensor type",
        chEnable: "Channel enable",
        sensorTypeItems: [
            { value: 0, text: "0: Voltage" },
            { value: 1, text: "1: Current" },
        ],
        ok: "OK",
        cancel: "Cancel",
        powerUploadTime: "Power data upload interval(sec)",
    },

    PageGprs: {
        deviceId: "CWTIO-ID",
        uploadTimer: "Data upload timer(sec)",
        dtu0Gprs: "DTU transparent transmission",
        httpPostUrl: "HTTP POST address",
        setDefaultSvr: "Set to the default cloud server",
        defaultGprsServer: "www.all-m2m.com",
        serverAddress: "Server address",
        serverPort: "Port",
        transType: "TCP/UDP",
        // transTypeItems:["0: TCP","1: UDP"],
        transTypeItemsKV: [{
                value: 0,
                text: "0: TCP",
            },
            {
                value: 1,
                text: "1: UDP",
            },
        ],
        transProtocol: "Data protocol",
        // transProtocolItems: ["0: CWTIO", "1: JSON HTTP", "2: Reserved", "3: Reserved", "4: JSON", "5: DTU"],
        transProtocolItemsKV: [{
                value: 0,
                text: "0: CWTIO",
            },
            {
                value: 1,
                text: "1: JSON HTTP",
            },
            {
                value: 2,
                text: "2: JSON HTTPS",
            },
            {
                value: 3,
                text: "3: JSON MQTT",
            },
            {
                value: 4,
                text: "4: JSON TCP",
            },
            {
                value: 5,
                text: "5: DTU on 485",
            },
            {
                value: 6,
                text: "6: DZCN MQTT",
            },
            {
                value: 7,
                text: "7: ONENET MQTT",
            },
            {
                value: 8,
                text: "8: user's customization",
            },
            {
                value: 9,
                text: "9: ALIYUN MQTT",
            },
        ],
        heartPacket: "Heartbeat packet",
        heartFormat: "Heartbeat format",
        heartFormatItemsKV: [
            { value: 0, text: "0: Hex" },
            { value: 1, text: "1: chars" },
        ],
        heartTime: "Heartbeat time",
        registPacket: "Register message",
    },
    PageWiFi: {
        staticIP: "Static IP",
        macAddress: "MAC",
        gateway: "Gateway",
        subnetMask: "Subnet mask",
        ipAddress: "IP address",
        wifiState: "WiFi state",
        security: "Security",
        tcpServerEn: "Tcp server(502)",
        securityItems: [
            { value: 0, text: "0: None" },
            { value: 1, text: "1: WEP" },
            { value: 2, text: "2: WPA" },
            { value: 3, text: "3: WPA2" },
        ],
        wifiName: "WiFi name",
        wifiPassword: "WiFi password",
    },
    // Lora低功耗产品
    PageLora: {
        loraEn: "Lora enable",
        remoteAddr: "Remote address",
        localAddr: "Local address",
        modbusAddr: "Modbus address",
        sendTimeout: "Send timeout(sec)",
        RespTimeoutMs: "Response timeout(ms)",
        frequency: "Frequency",
        power: "Lora power",
        powerItems: [
            { value: 0, text: "0: None" },
            { value: 2, text: "2: 2dBm" },
            { value: 3, text: "3: 3dBm" },
            { value: 4, text: "4: 4dBm" },
            { value: 5, text: "5: 5dBm" },
            { value: 6, text: "6: 6dBm" },
            { value: 7, text: "7: 7dBm" },
            { value: 8, text: "8: 8dBm" },
            { value: 9, text: "9: 9dBm" },
            { value: 10, text: "10: 10dBm" },
            { value: 11, text: "11: 11dBm" },
            { value: 12, text: "12: 12dBm" },
            { value: 13, text: "13: 13dBm" },
            { value: 14, text: "14: 14dBm" },
            { value: 15, text: "15: 15dBm" },
            { value: 16, text: "16: 16dBm" },
            { value: 17, text: "17: 17dBm" },
            { value: 18, text: "18: 18dBm" },
            { value: 19, text: "19: 19dBm" },
            { value: 20, text: "20: 20dBm" },
        ],
        signalBw: "Bandwidth",
        signalBwItems: [
            { value: 0, text: "0: 7.8khz" },
            { value: 1, text: "1: 10.4khz" },
            { value: 2, text: "2: 15.6khz" },
            { value: 3, text: "3: 20.8khz" },
            { value: 4, text: "4: 31.2khz" },
            { value: 5, text: "5: 41.6khz" },
            { value: 6, text: "6: 62.5khz" },
            { value: 7, text: "7: 125khz" },
            { value: 8, text: "8: 250khz" },
            { value: 9, text: "9: 500khz" },
        ],
        spreadingFactor: "Spreading factor",
        spreadingFactorItems: [
            { value: 0, text: "0: 无" },
            { value: 6, text: "6: chips-64" },
            { value: 7, text: "7: chips-128" },
            { value: 8, text: "8: chips-256" },
            { value: 9, text: "9: chips-512" },
            { value: 10, text: "10: chips-1024" },
            { value: 11, text: "11: chips-2048" },
            { value: 12, text: "12: chips-4096" },
        ],
        errorCoding: "Error coding",
        errorCodingItems: [
            { value: 0, text: "0: 无" },
            { value: 1, text: "1: 4/5" },
            { value: 2, text: "2: 4/6" },
            { value: 3, text: "3: 4/7" },
            { value: 4, text: "4: 4/8" },
        ],
        preambleLength: "Preamble length",
    },
    PageMqtt: {
        deviceId: "Device ID",
        publishTo: "Publish timeout(sec)",
        keepAlive: "Keepalive(sec)",
        sessionType: "Session(Session reuse mechanism)",
        qos: "Qos",
        retain: "Retain(Keep last message when offline)",
        qosItems: [
            { value: "0", text: "0:At-most-once" },
            { value: "1", text: "1:At-least-once" },
            { value: "2", text: "2:Only once" },
        ],
        serverAddress: "Server address",
        serverPort: "Port",
        transType: "TCP/UDP",
        transProtocol: "Data protocol",
        clientId: "Client ID",
        dataType: "Format data point",
        protocolVersion: "Protocol version",
        protocolVersionItems: [
            { value: 15, text: "V1.5" },
            { value: 20, text: "V2.0" },
        ],
        username: "Username",
        password: "Password",
        publishTopicHead: "Publish topic head",
        subscribeTopicHead: "Subscribe topic head",
        tip1: "Publish topic: Publish topic head + Device ID",
        tip2: "Subscribe topic: Subscribe topic head + Device ID",
    },
    PageApn: {
        apn: "APN",
        username: "Username",
        password: "Password",
        dns: "DNS",
    },
    PageGPS: {
        userGpsLon: "User longitude",
        userGpsLat: "User latitude",
        timerUpload: "Upload timer(sec)",
    },
    PageTemperature: {
        temperature: "Temperature",
    },
};