// Lora
var PageLora = {
    id: "PageLora", //页面id
    menu: "i18n.lan.menu.dataTrans", //所属菜单(一级菜单名)
    title: "i18n.lan.menu.PageLora", //标题（二级菜单名）
    icon: "icon-me-lora", //图标
    refreshBtnCmd: "DUMP_LORA", //刷新按钮指令
    saveBtn: true, //保存按钮
    el: [
        //控件
        {
            elname: "style",
            text: "#PageLora > label{min-width:150px;}",
        },
        {
            //功率
            elname: "combobox",
            label: i18n.lan.PageLora.power,
            id: "PageLora_power",
            items: "i18n.lan.PageLora.powerItems",
            endRow: true,
            attrs: {
                dumpKey: "LORA_POWER",
                cmdKey: "LORAPW",
            },
        },
        {
            //带宽
            elname: "combobox",
            label: i18n.lan.PageLora.signalBw,
            id: "PageLora_signalBw",
            items: "i18n.lan.PageLora.signalBwItems",
            endRow: true,
            attrs: {
                dumpKey: "LORA_BW",
                cmdKey: "LORASB",
            },
        },
        {
            //扩频因子
            elname: "combobox",
            label: i18n.lan.PageLora.spreadingFactor,
            id: "PageLora_spreadingFactor",
            items: "i18n.lan.PageLora.spreadingFactorItems",
            endRow: true,
            attrs: {
                dumpKey: "LORA_FACTOR",
                cmdKey: "LORASF",
            },
        },
        {
            //误码率
            elname: "combobox",
            label: i18n.lan.PageLora.errorCoding,
            id: "PageLora_errorCoding",
            items: "i18n.lan.PageLora.errorCodingItems",
            endRow: true,
            attrs: {
                dumpKey: "LORA_CODING",
                cmdKey: "LORAERRC",
            },
        },
        {
            //频率
            elname: "text",
            label: i18n.lan.PageLora.frequency,
            endRow: true,
            attrs: {
                dumpKey: "LORA_FREQ",
                cmdKey: "LORAFREQ",
            },
        },
        {
            //发送超时
            elname: "text",
            label: i18n.lan.PageLora.frequency,
            endRow: true,
            attrs: {
                dumpKey: "LORA_TXTO",
                cmdKey: "LORATXTO",
            },
        },
        {
            //发送超时
            elname: "text",
            label: i18n.lan.PageLora.modbusAddr,
            endRow: true,
            attrs: {
                dumpKey: "LORA_MDADDR",
                cmdKey: "LoraMDAddr",
            },
        },
    ],
};
CmdPage.add(PageLora); //添加到页面管理